import java.io.File;

import javax.swing.filechooser.FileFilter;

class XMLFilter extends FileFilter {
    public String getDescription() { return "XML files"; }

    public String getExtension(File f) {
	int i = f.getName().lastIndexOf(".");
	if(i >= 0) {
	    return f.getName().substring(f.getName().lastIndexOf(".")+1, f.getName().length());
	}
	return "";
    }

    public boolean accept(File f) {
	if(f.isDirectory()) {
	    return true;
	}

	String extension = getExtension(f);
	if(extension != null) {
	    if(extension.equals("xml")) {
		return true;
	    }
	}
	return false;
    }
}
